## Get All Fraud Configuration for Tenant

### cURL

```
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**: Successful
- **400**: Bad Request
- **404**: Fraud Config not Found
- **500**: Internal Server Error

### Example Response

```
[
  {
    "serviceName": "FRAUD_RELEASE_SERVICE",
    "processName": "ORDER_CREATE",
    "configuration": {
      "conditions": "[  // OR BLOCK START\n   [    // AND BLOCK STARTS\n     {\n       \"key\": \"orderDate\",\n       \"operator\": \"lte\",\n       \"type\": \"date\",\n       \"value\": [-59, \"SECONDS\"] // now -59 sec\n     },\n     {\n       \"key\": \"type\",\n       \"operator\": \"in\",\n       \"value\": [\"web\", \"mobile\"]\n     }\n   ],  // AND BLOCK END\n   [ // AND BLOCK STARTS\n     {\n       \"key\": \"orderDate\",\n       \"operator\": \"lt\",\n       \"type\": \"date\",\n       \"value\": [-10, \"MINUTES\"]\n     },\n     {\n       \"key\": \"type\",\n       \"operator\": \"is\",\n       \"value\": \"postman\"\n     }\n   ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
    },
    "tenantId": "asferf3r4safasdcd"
  }
]
```

### Headers

- **Authorization**: required, Bearer authentication header of the form `Bearer <token>`.
- **x-site-context**: required, a JSON object containing the source information.
